Bug 79730 - fish-applet busy loops
fish-applet busy loops
Status: CLOSED WORKSFORME
Product: Red Hat Raw Hide
Classification: Retired
Component: gnome-panel (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
: Triaged
Depends On:
Blocks: 79578
  Show dependency treegraph
 
Reported: 2002-12-16 05:09 EST by Tim Waugh
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-15 19:06:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2002-12-16 05:09:08 EST
Description of problem:
At the moment fish-applet-2 seems to be busy-looping.

Version-Release number of selected component (if applicable):
gnome-panel-2.1.4-2

How reproducible:
Not sure.

[...]
time([1040033437])                      = 1040033437
gettimeofday({1040033437, 666630}, NULL) = 0
ioctl(3, 0x541b, [0])                   = 0
gettimeofday({1040033437, 666716}, NULL) = 0
poll([{fd=10, events=POLLIN}, {fd=3, events=POLLIN}, {fd=15, events=POLLIN},
{fd=17, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN|POLLPRI}, {fd=19,
events=POLLIN|POLLPRI}, {fd=20, events=POLLIN|POLLPRI}, {fd=23,
events=POLLIN|POLLPRI}, {fd=21, events=POLLIN|POLLPRI}, {fd=22,
events=POLLIN|POLLPRI}, {fd=24, events=POLLIN|POLLPRI}], 11, 0) = 0
time([1040033437])                      = 1040033437
gettimeofday({1040033437, 666912}, NULL) = 0
ioctl(3, 0x541b, [0])                   = 0
[...]

Backtraces at various points in time:

#0  0x4082c101 in g_free () from /usr/lib/libglib-2.0.so.0
#1  0x406cf93d in gdk_window_invalidate_maybe_recurse ()
   from /usr/lib/libgdk-x11-2.0.so.0
#2  0x406cfb14 in gdk_window_invalidate_region ()
   from /usr/lib/libgdk-x11-2.0.so.0
#3  0x406cf6b7 in gdk_window_invalidate_rect ()
   from /usr/lib/libgdk-x11-2.0.so.0
#4  0x405305c2 in gtk_widget_queue_draw_area ()
   from /usr/lib/libgtk-x11-2.0.so.0
#5  0x4053076a in gtk_widget_queue_draw () from /usr/lib/libgtk-x11-2.0.so.0
#6  0x0804da63 in timeout_handler ()
#7  0x40828f5c in g_timeout_dispatch () from /usr/lib/libglib-2.0.so.0
#8  0x40826735 in g_main_dispatch () from /usr/lib/libglib-2.0.so.0
#9  0x408275d8 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#10 0x408278ed in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#11 0x40827fef in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#12 0x401e1598 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#13 0x401df4e4 in bonobo_generic_factory_main () from /usr/lib/libbonobo-2.so.0
#14 0x40032a5a in panel_applet_factory_main_closure ()
   from /usr/lib/libpanel-applet-2.so.0
#15 0x40032b83 in panel_applet_factory_main ()
   from /usr/lib/libpanel-applet-2.so.0
#16 0x0804f595 in main ()

#0  0x42094b81 in gettimeofday () from /lib/i686/libc.so.6
#1  0x408265e1 in g_get_current_time () from /usr/lib/libglib-2.0.so.0
#2  0x4082898b in g_source_get_current_time () from /usr/lib/libglib-2.0.so.0
#3  0x40828df6 in g_timeout_prepare () from /usr/lib/libglib-2.0.so.0
#4  0x40826fb3 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#5  0x40827766 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#6  0x40827fef in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#7  0x401e1598 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#8  0x401df4e4 in bonobo_generic_factory_main () from /usr/lib/libbonobo-2.so.0
#9  0x40032a5a in panel_applet_factory_main_closure ()
   from /usr/lib/libpanel-applet-2.so.0
#10 0x40032b83 in panel_applet_factory_main ()
   from /usr/lib/libpanel-applet-2.so.0
#11 0x0804f595 in main ()
#12 0x42015b07 in __libc_start_main () from /lib/i686/libc.so.6

#0  0x402f1794 in pthread_mutex_unlock () from /lib/i686/libpthread.so.0
#1  0x42071bcb in malloc () from /lib/i686/libc.so.6
#2  0x4082bfb9 in g_malloc () from /usr/lib/libglib-2.0.so.0
#3  0x406c8923 in gdk_region_new () from /usr/lib/libgdk-x11-2.0.so.0
#4  0x406c8a08 in gdk_region_rectangle () from /usr/lib/libgdk-x11-2.0.so.0
#5  0x406f5493 in gdk_window_impl_x11_get_visible_region ()
   from /usr/lib/libgdk-x11-2.0.so.0
#6  0x406b7fc8 in gdk_drawable_get_visible_region ()
   from /usr/lib/libgdk-x11-2.0.so.0
#7  0x406cdb72 in gdk_window_get_visible_region ()
   from /usr/lib/libgdk-x11-2.0.so.0
#8  0x406b7fc8 in gdk_drawable_get_visible_region ()
   from /usr/lib/libgdk-x11-2.0.so.0
#9  0x406cf8c5 in gdk_window_invalidate_maybe_recurse ()
   from /usr/lib/libgdk-x11-2.0.so.0
#10 0x406cfb14 in gdk_window_invalidate_region ()
   from /usr/lib/libgdk-x11-2.0.so.0
#11 0x406cf6b7 in gdk_window_invalidate_rect ()
   from /usr/lib/libgdk-x11-2.0.so.0
#12 0x405305c2 in gtk_widget_queue_draw_area ()
   from /usr/lib/libgtk-x11-2.0.so.0
#13 0x4053076a in gtk_widget_queue_draw () from /usr/lib/libgtk-x11-2.0.so.0
#14 0x0804da63 in timeout_handler ()
#15 0x40828f5c in g_timeout_dispatch () from /usr/lib/libglib-2.0.so.0
#16 0x40826735 in g_main_dispatch () from /usr/lib/libglib-2.0.so.0
#17 0x408275d8 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#18 0x408278ed in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#19 0x40827fef in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#20 0x401e1598 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#21 0x401df4e4 in bonobo_generic_factory_main () from /usr/lib/libbonobo-2.so.0
#22 0x40032a5a in panel_applet_factory_main_closure ()
   from /usr/lib/libpanel-applet-2.so.0
#23 0x40032b83 in panel_applet_factory_main ()
   from /usr/lib/libpanel-applet-2.so.0
#24 0x0804f595 in main ()
#25 0x42015b07 in __libc_start_main () from /lib/i686/libc.so.6

#0  0x402f4977 in __pthread_alt_unlock () from /lib/i686/libpthread.so.0
#1  0x402f179c in pthread_mutex_unlock () from /lib/i686/libpthread.so.0
#2  0x40827059 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#3  0x40827766 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#4  0x40827fef in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#5  0x401e1598 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#6  0x401df4e4 in bonobo_generic_factory_main () from /usr/lib/libbonobo-2.so.0
#7  0x40032a5a in panel_applet_factory_main_closure ()
   from /usr/lib/libpanel-applet-2.so.0
#8  0x40032b83 in panel_applet_factory_main ()
   from /usr/lib/libpanel-applet-2.so.0
#9  0x0804f595 in main ()
#10 0x42015b07 in __libc_start_main () from /lib/i686/libc.so.6
Comment 1 Havoc Pennington 2002-12-16 13:43:59 EST
Clearly a showstopper
Comment 2 Tim Waugh 2002-12-16 14:43:25 EST
By the way I've no idea how to reproduce the problem.  In the end I kill it and
said 'don't reload' to the dialog, and then added it back on the panel. :-/
Comment 3 Havoc Pennington 2003-01-15 19:06:16 EST
I can't reproduce this; we'll need to find a way to reproduce to do anything
with it.

Note You need to log in before you can comment on or make changes to this bug.